This call returns the details of multiple specified files, including file names and file metadata.
Request
https://api.sb.biodatacatalyst.nhlbi.nih.gov/v2/bulk/files/getExample request
POST v2/bulk/files/get
Host: api.sb.biodatacatalyst.nhlbi.nih.gov
X-SBG-Auth-Token: 3259c50e1ac5426ea8f1273259740f75curl -X POST \
https://api.sb.biodatacatalyst.nhlbi.nih.gov/v2/bulk/files/get \
-H 'Content-Type: application/json' \
-H 'X-SBG-Auth-Token: b04aa2a2e98348a1a3a75ca677ea7fd7' \
-d '{
"file_ids" : ["5a97d4741c94edbe85904936", "5a97d4741c94edbe85904909"]
}'Header Fields
| Name | Description |
|---|---|
| X-SBG-Auth-Token required | Your authentication token. |
| Content-Type required | application/json |
Request body
| Key | Data type | Description |
|---|---|---|
file_ids | string | The IDs of the files you are querying for details. Separate file IDs with a comma. |
Response
See a list of response codes that may be contained in the body of the response..
Response body
The response contains information about all of the files which were queried.
Example response body
{
"items": [
{
"resource": {
"href": "https://api.sb.biodatacatalyst.nhlbi.nih.gov/v2/files/5a97d4741c94edbe85904936",
"id": "5a97d4741c94edbe85904936",
"name": "1000G_phase1.snps.high_confidence.b37.vcf",
"size": 7313069069,
"project": "rfranklin/my-project",
"created_on": "2018-03-01T10:22:44Z",
"modified_on": "2018-03-01T10:22:44Z",
"storage": {
"type": "PLATFORM"
},
"origin": {},
"tags": [],
"metadata": {}
}
},
{
"resource": {
"href": "https://api.sb.biodatacatalyst.nhlbi.nih.gov/v2/files/5a97d4741c94edbe85904936",
"id": "5a97d4741c94edbe85904909",
"name": "C835.HCC1143_BL.4.contig_1_mpileup_SNPs.filtered.Somatic.hc.and_more.concat.sorted.reordered.vcf",
"size": 5313069069,
"project": "rfranklin/my-project",
"created_on": "2018-03-01T10:22:44Z",
"modified_on": "2018-03-01T10:22:44Z",
"storage": {
"type": "PLATFORM"
},
"origin": {},
"tags": [],
"metadata": {}
}
}
}
]
}